Setup Jenkins for testing components vs. Java 7
Status: Closed Start date: 2014-06-22

Priority: Normal Due date: 2014-08-02

Assignee: Rob Nahf % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version: 2014.30-Block.4.3   

Story Points:    

Description

Related to migration of Ubuntu 10.04 LTS to newer version (12.04 LTS and eventually 14.04 LTS)

In order to test dataone components against Java 7, build a new continuous integration system

that would run in parallel with the existing Hudson CI on dev-testing.  

The current plan is to install Jenkins built on an Ubuntu 12.04 LTS OS, using Java 7 JVM for Jenkins, and duplicate some-all of the

jobs currently running on Hudson.

We may need to install open LDAP there as well.

Subtasks:

Task # 4693: migrate Hudson jobs to Jenkins Closed

Related issues:

Related to Infrastructure - Story #4466: Base VM operating systems and sofwar... Closed 2014-03-17 2014-07-05

History

#1 - 2014-04-07 20:17 - Rob Nahf

- Status changed from New to In Progress

have most jobs running fine on jenkins-1.

So far using /var/www/maven/ as the deployment location for Jenkins-built artifacts.

Plan to change that to take advantage of apache-archiva, but will involve changes to project pom files.

#2 - 2014-06-30 22:37 - Robert Waltz

- Status changed from In Progress to Closed

- Target version set to 2014.26-Block.4.1

- Start date set to 2014-06-22

- Milestone changed from None to CCI-1.2

- Due date set to 2014-07-05

- Product Version changed from * to 1.2.7

#3 - 2014-09-24 18:27 - Rob Nahf

- Due date changed from 2014-07-05 to 2014-09-24

- Target version changed from 2014.26-Block.4.1 to Maintenance Backlog

#4 - 2014-09-24 18:28 - Rob Nahf

- Target version changed from Maintenance Backlog to 2014.30-Block.4.3

- Due date changed from 2014-09-24 to 2014-08-02

Powered by TCPDF (www.tcpdf.org)

2024-04-23 1/1

http://www.tcpdf.org

